//定义批量上传的属性
Dever.Upload().callback['mul'] = function(e, url, close)
{
	var html = '<span><img src="'+url+'" alt=""><em class="cuIcon-roundclosefill '+close+'"></em></span>';

	return html;
};


//定义用户相关的一些信息
Dever.User().config = 
{
	//初始化，绑定click
	'click' : 
	{
		//登录
		0 : '#login'
		//注册
		,1 : '#reg'
		//找回密码
		,2 : '#find_password'
		//找回密码
		,3 : '#edit_password'
		//收藏
		,4 : '.cuIcon-favor'
		//举报
		,5 : '.uIcon-warn'
	}

	//登录信息
	,0 :
	{
		'input' :
		{
			'mobile' : '#mobile'
			,'password' : '#password'
			,'refer' : '#refer|'
		}
		//错误提示的div
		//,'status' : '#dever_alert'
		//错误提示
		,'error' : '您的邮箱或密码错误'
		//登录要提交的url
		,'url' : Dever.Host('package/passport', 'login.action')
	}

	//注册信息
	,1 :
	{
		'input' :
		{
			'mobile' : '#mobile'
			,'username' : '#mobile'
			,'password' : '#password'
			,'cpassword' : '#cpassword'
			,'refer' : '#refer|'
		}
		//错误提示的div
		//,'status' : '#dever_alert'
		//错误提示
		,'error' : '您填写的信息有误'
		//登录要提交的url
		,'url' : Dever.Host('package/passport', 'reg.action')
	}
	
	//找回密码发送邮件
	,2 :
	{
		'input' :
		{
			'email' : '#email'
			,'refer' : '#refer|'
		}
		//错误提示的div
		,'status' : '#dever_alert'
		//错误提示
		,'error' : '您填写的信息有误'
		//找回密码发送邮件
		,'url' : Dever.Host('package/passport', 'reg.forget_email')
	}

	,3 :
	{
		'input' :
		{
			'email' : '#email'
			,'password' : '#password'
			,'cpassword' : '#cpassword'
			,'signature' : '#signature'
			,'refer' : '#refer|'
		}
		//错误提示的div
		,'status' : '#dever_alert'
		//错误提示
		,'error' : '您填写的信息有误'
		//找回密码操作
		,'url' : Dever.Host('package/passport', 'reg.forget')
	}
	//收藏
	,4 :
	{
		'input' : 'click'
		//错误提示
		,'error' : '您填写的信息有误'
		,'url' : Dever.Host('main', 'user.submit_up')
		//发表成功后，调用的callback
		,'callback' : function(e, msg, t)
		{
			var child = e.find('p');
			var name = child.html();
			if (name == '收藏') {
				child.html('已收藏');
			} else {
				child.html('收藏');
			}
		}
	}
	//举报
	,5 :
	{
		'input' : 'click'
		//错误提示
		,'error' : '您填写的信息有误'
		,'url' : Dever.Host('main', 'user.submit_up')
		//发表成功后，调用的callback
		,'callback' : function(e, msg, t)
		{
			var child = e.find('p');
			var name = child.html();
			if (name == '举报') {
				child.html('已举报');
			} else {
				child.html('举报');
			}
		}
	}
};


function getAttr(e)
{
	if (e.length) {
		var cate = e.val();
		var attr = e.attr('data-attr_id');
		var category = e.attr('data-category') + ',' + cate;
		$.get(Dever.Host('app/demand', 'data.getAttr&json=1&callback=?'), {attr_id:attr, category:category}, function(t)
		{
			$('#cateAttr').html(t);
		})
	}
}

function submitDemand()
{
	var host = Dever.Host('app/demand', 'data.update&json=1');
	var frame = '<input type="hidden" id="function" name="function" value="submitDemandError" /><iframe id="f1" name="f1" style="width:0px;height:0px;display:none;"></iframe>';
	var top = '<input type="hidden" value="'+$('#cate').attr('data-category')+'" id="top" name="top" />';
	$('#regForm').append(top);
	$('#regForm').append(frame);
	$('#regForm').attr('method', 'post').attr('target', 'f1').attr('action', host).submit();
}

function submitDemandError(data)
{
	Dever.Msg(data, function(msg)
	{
		hui.alert(msg);
	});
}